MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027675Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-07-13 22:442016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027675: Foundation Classes - handle Unicode path to CSF_UnitsLexicon and CSF_UnitsDefinition on Windows
DescriptionThe package Units was not updated within 0022484 and does not handle Unicode file paths on Windows platform.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027258closedapn Configuration - generate built-in replacement for mandatory resource files 
child of 0022484closedbugmaster UNICODE characters support. 

-  Notes
(0055897)
git (administrator)
2016-07-13 22:51

Branch CR27675 has been created by kgv.

SHA-1: 60f6bff06a6b22a10eeb1dbb30873c3bacea67ca


Detailed log of new commits:

Author: kgv
Date: Wed Jul 13 22:47:16 2016 +0300

    0027675: Foundation Classes - handle Unicode path to CSF_UnitsLexicon and CSF_UnitsDefinition on Windows
    
    Units package now uses Unicode-aware functions OSD_OpenStream
    and OSD_FileStatCTime (introduced for fetching file timestamp).
(0055898)
kgv (developer)
2016-07-13 22:51

Patch is ready for review in branch CR27675.
(0055899)
abv (manager)
2016-07-14 07:14

Reviewed, please test.

One general remark (minor): in C casts, please do not put extra space before closing parenthesis, it looks weird but makes no sense. See OSD_OpenFile.cxx lines 180 and 186.
(0055912)
git (administrator)
2016-07-14 16:03

Branch CR27675 has been updated forcibly by mkv.

SHA-1: 2372e6ff6872c1e034bfe587d0d91be66b080289
(0055954)
mkv (tester)
2016-07-15 15:56

Dear BugMaster,
Branch CR27675 was rebased on IR-2016-07-14 of occt git-repository.
SHA-1: 2372e6ff6872c1e034bfe587d0d91be66b080289
(0055955)
mkv (tester)
2016-07-15 15:56

Dear BugMaster,
Branch CR27675 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2372e6ff6872c1e034bfe587d0d91be66b080289

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90011716 / 90019216 [-0.01%]
Total CPU difference: 19210.409999999894 / 19191.54999999992 [+0.10%]
products component :
Total MEMORY difference: 30000725 / 30103171 [-0.34%]
Total CPU difference: 5091.309999999968 / 5118.619999999969 [-0.53%]

Testing on Windows:
occt component :
Total MEMORY difference: 57444623 / 57431602 [+0.02%]
Total CPU difference: 19137.51627559889 / 18076.974677298753 [+5.87%]
products component :
Total MEMORY difference: 21262934 / 21224923 [+0.18%]
Total CPU difference: 4979.6143203999645 / 4905.607445999939 [+1.51%]

There are no differences in images found by testdiff.
(0055956)
mkv (tester)
2016-07-15 15:56

Dear BugMaster,
Branch CR27675 is TESTED.
(0056104)
git (administrator)
2016-07-22 10:43

Branch CR27675 has been deleted by inv.

SHA-1: 2372e6ff6872c1e034bfe587d0d91be66b080289

- Related Changesets
occt: master ce0594b8
Timestamp: 2016-07-13 19:47:16
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027675: Foundation Classes - handle Unicode path to CSF_UnitsLexicon and CSF_UnitsDefinition on Windows

Units package now uses Unicode-aware functions OSD_OpenStream
and OSD_FileStatCTime (introduced for fetching file timestamp).
mod - src/OSD/OSD_OpenFile.cxx Diff ] File ]
mod - src/OSD/OSD_OpenFile.hxx Diff ] File ]
mod - src/Units/Units.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.cxx Diff ] File ]
mod - src/Units/Units_UnitsLexicon.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-13 22:44 kgv New Issue
2016-07-13 22:44 kgv Assigned To => abv
2016-07-13 22:44 kgv Relationship added child of 0022484
2016-07-13 22:49 kgv Relationship added related to 0027258
2016-07-13 22:51 git Note Added: 0055897
2016-07-13 22:51 kgv Note Added: 0055898
2016-07-13 22:51 kgv Status new => resolved
2016-07-14 07:14 abv Note Added: 0055899
2016-07-14 07:14 abv Assigned To abv => bugmaster
2016-07-14 07:14 abv Status resolved => reviewed
2016-07-14 12:52 mkv Assigned To bugmaster => mkv
2016-07-14 12:52 mkv Test case number => Not needed
2016-07-14 16:03 git Note Added: 0055912
2016-07-15 15:56 mkv Note Added: 0055954
2016-07-15 15:56 mkv Note Added: 0055955
2016-07-15 15:56 mkv Note Added: 0055956
2016-07-15 15:56 mkv Assigned To mkv => bugmaster
2016-07-15 15:56 mkv Status reviewed => tested
2016-07-22 10:23 bugmaster Changeset attached => occt master ce0594b8
2016-07-22 10:23 bugmaster Status tested => verified
2016-07-22 10:23 bugmaster Resolution open => fixed
2016-07-22 10:43 git Note Added: 0056104
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker